#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,j,N,M;
    scanf("%d %d",&N,&M);

    fflush(stdin);

    char * Niz = (char *) calloc(N*M,sizeof(char));

    for(i=0;i<N;i++){
        for(j=0;j<M;j++){
            scanf("%c ",(Niz+i*N+j));
        }
    }

    for(i=0;i<N*M;i++){
        if(*(Niz+i)!=' '&&*(Niz+i)!='.'&&*(Niz+i)!='\n')
            {break;}
        else if(i==N*M-1)
            for(j=0;j<N;j++){
            *(Niz+j*N+j)='C';
        }
    }




    for(i=0;i<N;i++){
        for(j=0;j<M;j++){
            printf("%c ",*(Niz+i*N+j));
        }
        printf("\n");
    }

    return 0;
}